org.apache.avro.message

## Class MissingSchemaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.avro.AvroRuntimeException
        - - org.apache.avro.message.MissingSchemaException

All Implemented Interfaces:
  Serializable

    public class MissingSchemaException
    extends AvroRuntimeException

Exception thrown by a `MessageDecoder` when the message is encoded using an unknown `Schema`.

Using a `SchemaStore` to provide schemas to the decoder can avoid this problem.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MissingSchemaException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingSchemaException

    public MissingSchemaException(String message)